IPERENDER(1)

NAME
iperender - Export Ipe document as bitmap or SVG

SYNOPSIS
iperender ( -png | -eps | -pdf | -svg ) [ -page page ] [ -view view ] [ -resolution dpi ] [ -transparent ] [ -nocrop ] input-file output-file

DESCRIPTION

iperender exports an Ipe document as a PNG bitmap, as a figure in Encapsulated Postscript (EPS), in PDF, or in SVG format. Options are:

-png
    export as a PNG image

-eps
    export as an EPS figure

-pdf
    export as a PDF figure

-svg
    export as an SVG figure

-page page
    export this page from a multipage document.

-view view
    export this view from a page with multiple views.

-resolution dpi
    set resolution for exporting to PNG.

-transparent
    make background transparent when exporting to PNG.

-nocrop
    do not crop the page to the bounding box of the objects.

ENVIRONMENT VARIABLES

iperender respects the following environment variables:

IPELATEXDIR
    the directory where ipetoipe runs Pdflatex.

IPELATEXPATH
    the directory containing pdflatex and xelatex. If not set, they are searched for on the path.

IPEDEBUG
    set this to 1 for debugging output from iperender.

AUTHOR
Otfried Cheong

REPORTING BUGS
Please report bugs using Ipe bugzilla at http://ipe.otfried.org/bugzilla.html

SEE ALSO
Ipe is documented fully in The Ipe Manual, which is available online at http://ipe.otfried.org/manual/manual.html .